/*	Structure for AppleShare 2.0.1 VCB.  Other versions my be drastically different...
 *	Documented by Dave Koziol.
 *	Unearthed by Mark Smith and Wes Craig.
 */
/*
 * Copyright (c) 1990 Regents of The University of Michigan.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appears in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * The University of Michigan not be used in advertising or
 * publicity pertaining to distribution of the software without
 * specific, written prior permission. This software is supplied as
 * is without expressed or implied warranties of any kind.
 *
 *	ITD Research Systems
 *	University of Michigan
 *	535 W. William Street
 *	Ann Arbor, Michigan
 *	+1-313-936-2652
 *	netatalk@terminator.cc.umich.edu
 */

typedef struct {
	struct QElem *	qLink;
	short			qtype;
	short			vcbFlags;
	short			vcbSigWord;
	long			vcbCrDate;
	long			vcbLsMod;
	short			vcbAtrb;
	short			vcbNmFls;
	short			vcbVBMSt;
	short			vcbAllocPtr;
	short			vcbNmAlBlks;
	long			vcbAlBlkSiz;
	long			vcbClpSIz;
	short			vcbAlBlSt;
	long			vcbNxtCNID;
	short			vcbFreeBks;
	char			vcbVN[28];
	short			vcbDrvNum;
	short			vcbDRefNum;
	short			vcbFSID;
	short			vcbVRefNum;
	Ptr			vcbMAdr;
	Ptr			vcbBufAdr;
	short			vcbMLen;
	short			vcbDirIndex;
	short			vcbDirBlk;
	long			vcbVolBkUp;
	short			vcbVSeqNum;
	long			vcbWrCnt;
	long			vcbXTClpSiz;
	long			vcbCTClpSiz;
	short			vcbNmRtDirs;
	long			vcbFilCnt;
	long			vcbDirCnt;
	long			vcbFndrInfo[8];
	short			vcbVCSize;
	short			vcbVBMCSiz;
	short			vcbCtlCSiz;
	short			vcbXTAlBlks;
	short			vcbCTAlBlks;
	short			vcbXTRef;
	short			vcbCTRef;
	Ptr			vcbCtlBuf;
	long			vcbDirIDM;
	short			vcbOffsM; 
	short			junk1;
	short			junk2;
	short			vcbSRefNum;
	short			vcbServerVol;
	AddrBlock		vcbServerAddr;
	short			junk4;
	short			junk5;
	short			junk6;
	short			junk7;
	char			junk8;
	unsigned char		vcbLoginMethod;
	char			vcbUserName[32];
	char			junk9[64];
	long			vcbLocalHand;
	char			junk10[260];
	char			vcbFindWhere[64];
} AVCB;

struct sesslist {
	Str255		sess_name;
	int		sess_namelen;
	int		sess_namestate;
	char		sess_volumes[ 256 ];
	short		sess_refnum;
	AddrBlock	sess_addr;
};
	
#define MAX_SESSIONS	15
#define OWNEDRSRCID(id)	(0xC000 | (((-(id)) - 1) << 5))
